<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
    <class name="RoomCard" table="tb_RoomCard">
        <id name="ID" column="ID" type="int" unsaved-value="0">
            <generator class="native" />
        </id>
        <property name="CardNumber" column="CardNumber" type="string" />
        <many-to-one name="RoomCardType" class="RoomCardType" column="CardTypeID" not-found="ignore" update="false"  cascade="none" foreign-key="FK_tb_RoomCard_tb_RoomCardType" />
        <property name="UserNumber" column="UserNumber" type="string" />
        <property name="UserName" column="UserName" type="string" />
        <property name="Sort" column="Sort" type="int" />
        <property name="HotelID" column="HotelID" type="int"  />
    </class>
</hibernate-mapping>